=== debian/watch ===
version=3
opts=uversionmangle=s/\.beta/~beta/,filenamemangle=s/jbuilder/dune/ \
https://github.com/janestreet/jbuilder/releases .*/jbuilder-(.*)\.tbz
