## dune 1.6.2

=== debian/changelog ===
dune (1.6.2-2) unstable; urgency=medium

  * Add Breaks+Replaces: whitedune (<< 0.30.10-2.2) (Closes: #919622)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 18 Jan 2019 17:50:45 +0100

dune (1.6.2-1) unstable; urgency=medium

  * New upstream release
    - add new binary package libdune-ocaml-dev
  * Update debian/watch
  * Update Vcs-*
  * Bump Standards-Version to 4.2.1 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 08 Dec 2018 15:27:49 +0100
