=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
  ocaml-findlib,
  dh-ocaml,
  debhelper (>= 11)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/janestreet/jbuilder
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/jbuilder.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/jbuilder.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/jbuilder.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/jbuilder
 
 Package: dune
 Architecture: any
-Breaks: jbuilder (<< 1.0~beta20-1)
-Replaces: jbuilder (<< 1.0~beta20-1)
+Breaks: jbuilder (<< 1.0~beta20-1), whitedune (<< 0.30.10-2.2)
+Replaces: jbuilder (<< 1.0~beta20-1), whitedune (<< 0.30.10-2.2)
 Provides: jbuilder
 Depends:
  ${ocaml:Depends},
@@ -29,9 +29,26 @@
  compilation. All you have to do is provide a description of your
  project and Dune will do the rest.
 
+Package: libdune-ocaml-dev
+Architecture: any
+Depends:
+ ${ocaml:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends}
+Suggests:
+ ocaml-findlib
+Description: composable build system for OCaml projects (library)
+ Dune is a build system designed for OCaml/Reason projects
+ only. It focuses on providing the user with a consistent experience
+ and takes care of most of the low-level details of OCaml
+ compilation. All you have to do is provide a description of your
+ project and Dune will do the rest.
+ .
+ This package contains the library.
+
 Package: jbuilder
 Architecture: all
-Depends: dune
+Depends: dune, ${misc:Depends}
 Description: composable build system for OCaml projects -- transitional package
  Dune is a build system designed for OCaml/Reason projects
  only. It focuses on providing the user with a consistent experience
