=== lib/CMakeLists.txt ===
# dune_add_library(dunevem
#     _DUNE_TARGET_OBJECTS:io_
#   ADD_LIBS dunefem)

# install(FILES DESTINATION ${CMAKE_INSTALL_BINDIR}/../lib)
