=== dune/vem/CMakeLists.txt ===
add_subdirectory( agglomeration )
add_subdirectory( function )
add_subdirectory( misc )
add_subdirectory( operator )
add_subdirectory( space )
add_subdirectory( py )
add_subdirectory( test )
