=== notMaintained/nonlinear-test/CMakeLists.txt ===
add_subdirectory( data )
add_executable( fem-nonlinear EXCLUDE_FROM_ALL fem-nonlinear.cc )
target_link_libraries(fem-nonlinear dunevem )
add_executable( vem-nonlinear EXCLUDE_FROM_ALL vem-nonlinear.cc )
target_link_libraries( vem-nonlinear dunevem )
add_executable( vem-nonlinear-istl EXCLUDE_FROM_ALL vem-nonlinear.cc )
target_compile_definitions( vem-nonlinear-istl PUBLIC WANT_ISTL=1 )
target_link_libraries( vem-nonlinear-istl dunevem )
