=== dune/vem/py/CMakeLists.txt ===
install(FILES
  integrands.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/vem/py
)
